midaregami + knot by jonbailey
March.26.2009, 7:58 pm
Filed under: Research

midaregamiknot

weaving_01

Based off of the midaregami + knotting technique of weaving, we are currently developing a rhino vb script that implements this strategy for our stuctural steel exoskeleton.

Advertisements

1 Comment so far
Leave a comment

””PSUEDO””

‘select a surface strsurface = Rhino.GetObject(“select a surface”)
‘directional input ptBase = Rhino.GetPoint(” select the base point “)
‘enter radius of pipes radius = Rhino.GetReal(“enter radius”); Rhino.AddCircle (arrPlane, dblRadius)
‘declare primary variables dim
‘# of divisions along a surface Dim udiv, vdiv udiv=x, vdiv=x
‘declare secondary variables dim
‘capture the domain of the surface Rhino.SurfaceDomain (strObject, intDirection)
‘nested loop ((i,j))
‘evaluate surface Rhino.EvaluateSurface (strObject, arrParameter)
‘store array arrpts((i,j))
‘collection of two points
‘create curve along the surface Rhino.AddInterpCrvOnSrfUV (strObject, arrPoints)
‘create circles perpendicular to surface Rhino.CurvePerpFrame (strObject, dblParameter)
‘loft circles or sweept curve along surface Rhino.AddLoftSrf (arrObjects [, arrStartPt [, arrEndPt [, intType [, intStyle [, nValue [, blnClosed]]]]]])
‘weave curves, 0,1,0,1,0,1…
‘find points of intersection at curves Rhino.CurveCurveIntersection (strObject1 [, strObject2 [, dblTolerance]])
‘add torus at intersection Rhino.AddTorus(arrBase, dblMajorRadius, dblMinorRadius [, arrDirection])

Comment by jonbailey




Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s



%d bloggers like this: